# code for reading in data pairs is borrowed from 
# Marx, A. and Vreeken, J. Telling Cause from Effect using MDL-based Local and Global Regression.
# In ICDM, 2017

uv <- c(1:46, 48:51,56:69,72:104,106,108)
ref <- read.table("Data/Tuebingen/README_polished_may18.tab", sep="\t", header=F, stringsAsFactors = F)
meta <- read.table("Data/Tuebingen/pairmeta.txt")
meta.uv <- meta[uv,]
ref.uv <- ref[uv, ]

readI = function(i, r = ref){
  f <- paste(c("Data/Tuebingen/", r$V1[i], ".txt"), collapse="")
  t <- read.table(f, sep=" ", header=F, stringsAsFactors = F)
  return(t)
}


